.. _nn_functions:

.. currentmodule:: mlx.nn

Functions
---------

Layers without parameters (e.g. activation functions) are also provided as
simple functions.

.. autosummary::
   :toctree: _autosummary_functions
   :template: nn-module-template.rst

   elu
   celu
   gelu
   gelu_approx
   gelu_fast_approx
   glu
   hard_shrink
   hard_tanh
   hardswish
   leaky_relu
   log_sigmoid
   log_softmax
   mish
   prelu
   relu
   relu6
   selu
   sigmoid
   silu
   softmax
   softmin
   softplus
   softshrink
   step
   tanh
